Groovy 1.7.0

## org.codehaus.groovy.jsr223
Class GroovyCompiledScript

    java.lang.Object
      javax.script.CompiledScript
          org.codehaus.groovy.jsr223.GroovyCompiledScript

    class GroovyCompiledScript
    extends CompiledScript

Constructor Summary
`GroovyCompiledScript(GroovyScriptEngineImpl engine, Class clasz)`

Method Summary
`Object` | `eval(ScriptContext context)`
`ScriptEngine` | `getEngine()`

Methods inherited from class CompiledScript
eval, eval, eval, getEngine, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovyCompiledScript

    public GroovyCompiledScript(GroovyScriptEngineImpl engine, Class clasz)

Method Detail

### eval

    public Object eval(ScriptContext context)

### getEngine

    public ScriptEngine getEngine()

Copyright © 2003-2009 The Codehaus. All rights reserved.